PHP Manualen
forrige |  | næste

# key

(PHP 3, PHP 4, PHP 5)

key -- Tager nøglen fra et associativt array

## Beskrivelse

mixed key ( array &array )

key() returnerer nøglen på et angivet værdi.

Eksempel 1. key() eksempel

`<?php $array = array( 'fruit1' => 'apple', 'fruit2' => 'orange', 'fruit3' => 'grape', 'fruit4' => 'apple', 'fruit5' => 'apple'); // denne løkke vil udskrive alle nøgler som har værdien "apple" while ($fruit_name = current($array)) { if ($fruit_name == 'apple') { echo key($array).'<br />'; } next($array); } ?>`

Se også current() og next().

forrige | hjem | næste
in_array | op | krsort